#include <Pilot.h>
#include <SysEvtMgr.h>
#include "HelloDARsc.h"

static VoidPtr GetObjectPtr(Word objectID)
	{
	FormPtr frmP;


	frmP = FrmGetActiveForm();
	return (FrmGetObjectPtr(frmP, FrmGetObjectIndex(frmP, objectID)));
}


static Boolean MainFormHandleEvent(EventPtr eventP)
{
    Boolean handled = false;
//    FormPtr frmP;


	switch (eventP->eType){
	case keyDownEvent:
        handled = true;
 		eventP->eType = appStopEvent;
		break;
    case appStopEvent:
        handled = true;
 		eventP->eType = appStopEvent;
		break;
    case penDownEvent:
    {
            SWord x,y;
            RectangleType r;

            x= eventP->screenX;
            y= eventP->screenY;
            WinWindowToDisplayPt(&x, &y);
            FrmGetFormBounds(FrmGetActiveForm(), &r);
            if (y < r.topLeft.y || y > (r.topLeft.y+r.extent.y)) {
                handled = true;
 				eventP->eType = appStopEvent;
            }
            break;
    }
	case ctlSelectEvent:
		if(eventP->data.ctlEnter.controlID == MainDoneButton){
			eventP->eType = appStopEvent;
            handled = true;
		}
		break;		
	default:
			break;
		
	}
	
	return handled;
}

static void AppEventLoop(void)
{
	Word error;
	EventType event;


	do {
		EvtGetEvent(&event, evtWaitForever);
		
		
		if (! SysHandleEvent(&event))
			if (! MenuHandleEvent(0, &event, &error))
				if(!FrmHandleEvent(FrmGetActiveForm(), &event))
					MainFormHandleEvent(&event);

	} while (event.eType != appStopEvent);
}



void start()
{
	FormPtr	pForm;
	
	pForm = FrmInitForm(MainForm);
	FrmSetActiveForm(pForm);

	//SetFormData
	
	FrmDrawForm(pForm);

	AppEventLoop();
	
	FrmEraseForm(pForm);
	FrmDeleteForm(pForm);
			
	
}

/*

static DWord StarterPilotMain(Word cmd, Ptr cmdPBP, Word launchFlags)
{


	switch (cmd)
		{
		case sysAppLaunchCmdNormalLaunch:
			start();
		default:
			break;

		}
	
	return 0;
}

DWord PilotMain( Word cmd, Ptr cmdPBP, Word launchFlags)
{
    return StarterPilotMain(cmd, cmdPBP, launchFlags);
}

*/

